Subject: RE: Win32 console question
From: [email-masked] (Sergey Okhapkin)

13 Jun 1998 03:45:23 -0700
Message-ID: <01BD96AF.8B5CF450.cygnus.gnu-win32@sos>
To: "[email-masked]" <[email-masked]>,
        "'Gunther Ebert'"
	 <[email-masked]>

Gunther Ebert wrote:
> I need to obtain information of the console output
> of a third-party program. For example, I need to
> determine the size of the console screen buffer
> and I also need to read lines from the output
> of the third-party program which is of course
> running in a different process space than my
> one.

If you're able to start your program in the same console, your problem is 
solved. GetConsoleScreenBufferInfo() returns the size of console buffer, 
ReadConsoleOutput() gives you an access to the buffer contents.

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".